> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Find access controlled elevator landing shadows within the specified location

> Find access controlled elevator landing shadows within the specified location



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/component/elevator/findAccessControlledElevatorLandingShadowsByLocation
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/component/elevator/findAccessControlledElevatorLandingShadowsByLocation:
    post:
      tags:
        - Elevator Webservice
      summary: >-
        Find access controlled elevator landing shadows within the specified
        location
      description: >-
        Find access controlled elevator landing shadows within the specified
        location
      operationId: findAccessControlledElevatorLandingShadowsByLocation
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Component_FindAccessControlledElevatorLandingShadowsByLocationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Component_FindAccessControlledElevatorLandingShadowsByLocationWSResponse
          description: OK
components:
  schemas:
    Component_FindAccessControlledElevatorLandingShadowsByLocationWSRequest:
      type: object
      properties:
        lastEvaluatedKey:
          type: string
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        maxPageSize:
          type: integer
          format: int32
          nullable: true
    Component_FindAccessControlledElevatorLandingShadowsByLocationWSResponse:
      type: object
      properties:
        lastEvaluatedKey:
          type: string
          nullable: true
        shadows:
          type: array
          items:
            $ref: '#/components/schemas/AccessControlledElevatorLandingShadow'
          nullable: true
    AccessControlledElevatorLandingShadow:
      type: object
      properties:
        authFirstIn:
          $ref: '#/components/schemas/FirstInShadow'
        componentCompositeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        scheduleFirstIn:
          $ref: '#/components/schemas/FirstInShadow'
        state:
          $ref: '#/components/schemas/AccessStateShadow'
        type:
          $ref: '#/components/schemas/ComponentCompositeShadowEnum'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
    FirstInShadow:
      type: object
      properties:
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
        source:
          $ref: '#/components/schemas/FirstInSourceEnum'
        state:
          $ref: '#/components/schemas/FirstInFirmwareStatusEnum'
        stateUpdateEventTimestampMs:
          type: integer
          format: int64
          nullable: true
    AccessStateShadow:
      type: object
      properties:
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
        source:
          $ref: '#/components/schemas/AccessStateSourceEnum'
        state:
          $ref: '#/components/schemas/AccessControlledDoorStateEnumType'
        stateUpdateEventTimestampMs:
          type: integer
          format: int64
          nullable: true
    ComponentCompositeShadowEnum:
      type: string
      enum:
        - AccessControlledDoorShadow
        - AccessControlledElevatorLandingShadow
    BaseEventOriginator:
      type: object
      discriminator:
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/SupportAuthorityEventOriginator'
        - $ref: '#/components/schemas/ApiTokenEventOriginator'
        - $ref: '#/components/schemas/UserEventOriginator'
        - $ref: '#/components/schemas/RuleEventOriginator'
        - $ref: '#/components/schemas/ComponentCompositeEventOriginator'
        - $ref: '#/components/schemas/GuestPassEventOriginator'
        - $ref: '#/components/schemas/DeviceServiceEventOriginator'
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    FirstInSourceEnum:
      type: string
      enum:
        - CONFIG_MANUAL_OVERRIDE
        - CONFIG_REQUIREMENT_CHANGE
        - CONFIG_MEMBERSHIP
        - SCHEDULED_RESET
        - LOCAL_BADGE_EVENT
        - LOCKDOWN
        - UNKNOWN
    FirstInFirmwareStatusEnum:
      type: string
      enum:
        - DISABLED
        - NOT_CONFIGURED
        - REQUIRED
        - SATISFIED
        - UNKNOWN
    AccessStateSourceEnum:
      type: string
      enum:
        - DEFAULT_STATE
        - SCHEDULE
        - SCHEDULE_EXCEPTION
        - FIRST_IN
        - DOOR_STATE_OVERRIDE
        - LOCKDOWN
        - PRIVACY
        - UNKNOWN
    AccessControlledDoorStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
    SupportAuthorityEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            grantedToInternalEntityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            grantedToName:
              type: string
              nullable: true
            supportAuthorityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            supportUserEmail:
              type: string
              nullable: true
            supportUsername:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ApiTokenEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            tokenName:
              type: string
              nullable: true
            tokenUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    UserEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            userEmail:
              type: string
              nullable: true
            userUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            username:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    RuleEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            ruleName:
              type: string
              nullable: true
            ruleUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ComponentCompositeEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeName:
              type: string
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            correlationId:
              type: string
              nullable: true
            eventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    GuestPassEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            guestPassName:
              type: string
              nullable: true
            guestPassUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    DeviceServiceEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            deviceUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            serviceName:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    EventOriginatorEnum:
      type: string
      enum:
        - USER
        - SUPPORT_AUTHORITY
        - API_TOKEN
        - RULE
        - COMPONENT_COMPOSITE_EVENT
        - GUEST_PASS
        - DEVICE_SERVICE
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````